Get audience

This endpoint returns the platform ID along with the audience count.

Available platforms and associated values are described below:

Platform Value
Spotify Streams
Deezer Fans
Audiomack Streams
Gaana Favoris
Jiosaavn Stream
Yandex Likes
Melon Likes
Line Music Likes
Awa Streams
Don’t know the album UUID? Use the Get album by UPC or Get album by platform ID endpoints.

Request

GET /api/v2/album/{uuid}/audience/{platform}

Path parameters

Parameter Value Description Additional
uuid string A Album UUID Required
platform string A platform code Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD), leave empty to use latest 90 days Optional
identifier string Optional album identifier (example : 2Fxmhks0bxGSBdJ92vM42m) Optional

Response

Code Description Resource
200 OK

A album response with platform stream for a period

Album Plot Collection
400 Bad Request

Invalid platform code

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Album not found

Explore

A Album UUID

A platform code

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD), leave empty to use latest 90 days

Optional album identifier (example : 2Fxmhks0bxGSBdJ92vM42m)

Try it out